System 2.0.0.0 4.0.0.0 System.Enum

This enumeration defines valid values for the property. TCP is a transport layer protocol responsible for reliably sending and receiving data packets. The TCP states in this enumeration are defined in IETF RFC 793 available at http://www.ietf.org.

Specifies the states of a Transmission Control Protocol (TCP) connection.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.TcpState

  The TCP connection is closed.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.TcpState

  The local endpoint of the TCP connection is waiting for a connection termination request from the local user.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.TcpState

  The local endpoint of the TCP connection is waiting for an acknowledgement of the connection termination request sent previously.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.TcpState

  The transmission control buffer (TCB) for the TCP connection is being deleted.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.TcpState

  The TCP handshake is complete. The connection has been established and data can be sent.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.TcpState

  The local endpoint of the TCP connection is waiting for a connection termination request from the remote endpoint or for an acknowledgement of the connection termination request sent previously.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.TcpState

  The local endpoint of the TCP connection is waiting for a connection termination request from the remote endpoint.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.TcpState

  The local endpoint of the TCP connection is waiting for the final acknowledgement of the connection termination request sent previously.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.TcpState

  The local endpoint of the TCP connection is listening for a connection request from any remote endpoint.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.TcpState

  The local endpoint of the TCP connection has sent and received a connection request and is waiting for an acknowledgment.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.TcpState

  The local endpoint of the TCP connection has sent the remote endpoint a segment header with the synchronize (SYN) control bit set and is waiting for a matching connection request.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.TcpState

  The local endpoint of the TCP connection is waiting for enough time to pass to ensure that the remote endpoint received the acknowledgement of its connection termination request.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.TcpState

  The TCP connection state is unknown.